Package org.apache.wiki.plugin

# Class BugReportHandler

java.lang.Object
org.apache.wiki.plugin.BugReportHandler

All Implemented Interfaces:
  `Plugin`

public class BugReportHandler extends Object implements Plugin
Provides a handler for bug reports. Still under construction.

Parameters :

- title - title of the bug, this is required. If it is empty (as in "") it is a signal to the handler to return quietly.
- description - description of the bug.
- version - version
- map - I have no idea
- page - The name of the page to be created for this bug report

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PARAM_DESCRIPTION`
Parameter name for setting the description.
`static final String`
`PARAM_MAPPINGS`
Parameter name for setting the map.
`static final String`
`PARAM_PAGE`
Parameter name for setting the page.
`static final String`
`PARAM_TITLE`
Parameter name for setting the title.
`static final String`
`PARAM_VERSION`
Parameter name for setting the version.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`BugReportHandler()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_TITLE

public static final String PARAM_TITLE
Parameter name for setting the title. Value is `"title"`.

See Also:
  - Constant Field Values

### PARAM_DESCRIPTION

public static final String PARAM_DESCRIPTION
Parameter name for setting the description. Value is `"description"`.

See Also:
  - Constant Field Values

### PARAM_VERSION

public static final String PARAM_VERSION
Parameter name for setting the version. Value is `"version"`.

See Also:
  - Constant Field Values

### PARAM_MAPPINGS

public static final String PARAM_MAPPINGS
Parameter name for setting the map. Value is `"map"`.

See Also:
  - Constant Field Values

### PARAM_PAGE

public static final String PARAM_PAGE
Parameter name for setting the page. Value is `"page"`.

See Also:
  - Constant Field Values

## Constructor Details

### BugReportHandler

public BugReportHandler()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`